package org.university.core ;

public class Account
{
    private AbstractEmployee owner ;
    private double credit = 0 ;
    private double demand = 0 ;

    public Account(AbstractEmployee owner, double credit) {
        this.owner = owner ;
        this.credit = credit ;
        this.demand = 0 ;
    }

    public AbstractEmployee getOwner() {
        return owner;
    }

    public void setOwner(AbstractEmployee owner) {
        this.owner = owner;
    }

    public double getCredit() {
        return credit;
    }

    public void setCredit(double credit) {
        this.credit = credit;
    }

    public double getDemand() {
        return demand;
    }

    public void setDemand(double demand) {
        this.demand = demand;
    }
}